package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * 格式化地址
 */
public class RegGeoArea extends BaseEntity {

    private long id;

    @Comment("")
    @RColumn("originprovince")
    private String originProvince;

    @Comment("")
    @RColumn("originprovincecode")
    private String originProvinceCode;

    @Comment("")
    @RColumn("origincity")
    private String originCity;

    @Comment("")
    @RColumn("origincitycode")
    private String originCityCode;

    @Comment("")
    @RColumn("origindistrict")
    private String originDistrict;

    @Comment("")
    @RColumn("originadcode")
    private String originAdcode;

    @Comment("")
    @RColumn("originaddress")
    private String originAddress;

    @Comment("")
    @RColumn("formatprovince")
    private String formatProvince;

    @Comment("")
    @RColumn("formatprovincecode")
    private String formatProvinceCode;

    @Comment("")
    @RColumn("formatcity")
    private String formatCity;

    @Comment("")
    @RColumn("formatcitycode")
    private String formatCityCode;

    @Comment("")
    @RColumn("formatdistrict")
    private String formatDistrict;

    @Comment("")
    @RColumn("formatadcode")
    private String formatAdcode;

    @Comment("")
    @RColumn("formataddress")
    private String formatAddress;

    @Comment("")
    @RColumn("formatlocation")
    private String formatLocation;

    public RegGeoArea() {
    }

    public RegGeoArea(ParseAreaResult areaResult) {
        this.originProvince = areaResult.getProvince();
        this.originProvinceCode = areaResult.getProvinceCode();
        this.originCity = areaResult.getCity();
        this.originCityCode = areaResult.getCityCode();
        this.originDistrict = areaResult.getCounty();
        this.originAdcode = areaResult.getCountyCode();
        this.originAddress = areaResult.getDetails();
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getOriginProvince() {
        return originProvince;
    }

    public void setOriginProvince(String originProvince) {
        this.originProvince = originProvince;
    }

    public String getOriginProvinceCode() {
        return originProvinceCode;
    }

    public void setOriginProvinceCode(String originProvinceCode) {
        this.originProvinceCode = originProvinceCode;
    }

    public String getOriginCity() {
        return originCity;
    }

    public void setOriginCity(String originCity) {
        this.originCity = originCity;
    }

    public String getOriginCityCode() {
        return originCityCode;
    }

    public void setOriginCityCode(String originCityCode) {
        this.originCityCode = originCityCode;
    }

    public String getOriginDistrict() {
        return originDistrict;
    }

    public void setOriginDistrict(String originDistrict) {
        this.originDistrict = originDistrict;
    }

    public String getOriginAdcode() {
        return originAdcode;
    }

    public void setOriginAdcode(String originAdcode) {
        this.originAdcode = originAdcode;
    }

    public String getOriginAddress() {
        return originAddress;
    }

    public void setOriginAddress(String originAddress) {
        this.originAddress = originAddress;
    }

    public String getFormatProvince() {
        return formatProvince;
    }

    public void setFormatProvince(String formatProvince) {
        this.formatProvince = formatProvince;
    }

    public String getFormatProvinceCode() {
        return formatProvinceCode;
    }

    public void setFormatProvinceCode(String formatProvinceCode) {
        this.formatProvinceCode = formatProvinceCode;
    }

    public String getFormatCity() {
        return formatCity;
    }

    public void setFormatCity(String formatCity) {
        this.formatCity = formatCity;
    }

    public String getFormatCityCode() {
        return formatCityCode;
    }

    public void setFormatCityCode(String formatCityCode) {
        this.formatCityCode = formatCityCode;
    }

    public String getFormatDistrict() {
        return formatDistrict;
    }

    public void setFormatDistrict(String formatDistrict) {
        this.formatDistrict = formatDistrict;
    }

    public String getFormatAdcode() {
        return formatAdcode;
    }

    public void setFormatAdcode(String formatAdcode) {
        this.formatAdcode = formatAdcode;
    }

    public String getFormatAddress() {
        return formatAddress;
    }

    public void setFormatAddress(String formatAddress) {
        this.formatAddress = formatAddress;
    }

    public String getFormatLocation() {
        return formatLocation;
    }

    public void setFormatLocation(String formatLocation) {
        this.formatLocation = formatLocation;
    }
}
